%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   py
%define modv   1.4.30


Summary:       A Python development support library
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       MIT
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/p/%{modn}/%{modn}-%{modv}.tar.gz
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The Py Team <pytest-dev@python.org>
Provides:      python(%{modn}) = %{modv}
Provides:      python(%{modn}.code) = %{modv}
Provides:      python(%{modn}.io) = %{modv}
Provides:      python(%{modn}.log) = %{modv}
Provides:      python(%{modn}.path) = %{modv}
Provides:      python(%{modn}.process) = %{modv}
BuildRequires: python2-devel >= 2.4 python-setuptools
BuildArch:     noarch


%description
Py is a Python development support library featuring the modules py.path
(uniform local and svn path objects), py.apipkg (explicit API control and
lazy-importing), py.iniconfig (easy parsing of .ini files), and py.code
(dynamic code generation and introspection).


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG LICENSE README*
%doc --parents doc/{announce,example,*.txt}
%{python2_sitelib}/%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Fri Sep 11 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.30-1
- New version (1.4.30)

* Fri Jan 16 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.26-1
- Initial build
